image: fpco/stack-build:lts-13.14

build:
  stage: build
  script:
    - stack --no-docker build
  artifacts:
    paths:
      - .stack-work/install/*/lts-*/*/bin/monadic-madness
    expire_in: 1 week